wxWidgets: wxRichTextDrawingHandler Class Reference

| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Protected Attributes | List of all members
wxRichTextDrawingHandler Class Referenceabstract
Class List by Category » Rich Text

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextDrawingHandler:
[legend]

## Detailed Description

The base class for custom drawing handlers.

Currently, drawing handlers can provide virtual attributes.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextDrawingHandler (const wxString &name=wxEmptyString)
| Creates a drawing handler object. More...
virtual bool | HasVirtualAttributes (wxRichTextObject *obj) const =0
| Returns true if this object has virtual attributes that we can provide. More...
virtual bool | GetVirtualAttributes (wxRichTextAttr &attr, wxRichTextObject *obj) const =0
| Provides virtual attributes that we can provide. More...
virtual int | GetVirtualSubobjectAttributesCount (wxRichTextObject *obj) const =0
| Gets the count for mixed virtual attributes for individual positions within the object. More...
virtual int | GetVirtualSubobjectAttributes (wxRichTextObject *obj, wxArrayInt &positions, wxRichTextAttrArray &attributes) const =0
| Gets the mixed virtual attributes for individual positions within the object. More...
virtual bool | HasVirtualText (const wxRichTextPlainText *obj) const =0
| Do we have virtual text for this object? Virtual text allows an application to replace characters in an object for editing and display purposes, for example for highlighting special characters. More...
virtual bool | GetVirtualText (const wxRichTextPlainText *obj, wxString &text) const =0
| Gets the virtual text for this object. More...
void | SetName (const wxString &name)
| Sets the name of the handler. More...
wxString | GetName () const
| Returns the name of the handler. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Protected Attributes
wxString | m_name
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...

## Constructor & Destructor Documentation

wxRichTextDrawingHandler::wxRichTextDrawingHandler | ( | const wxString & | name = `wxEmptyString` | ) |
| inline

Creates a drawing handler object.

## Member Function Documentation

wxString wxRichTextDrawingHandler::GetName | ( |  | ) | const
| inline

Returns the name of the handler.

virtual bool wxRichTextDrawingHandler::GetVirtualAttributes | ( | wxRichTextAttr & | attr,
|  | wxRichTextObject * | obj
| ) |  | const
| pure virtual

Provides virtual attributes that we can provide.

virtual int wxRichTextDrawingHandler::GetVirtualSubobjectAttributes | ( | wxRichTextObject * | obj,
|  | wxArrayInt & | positions,
|  | wxRichTextAttrArray & | attributes
| ) |  | const
| pure virtual

Gets the mixed virtual attributes for individual positions within the object.

For example, individual characters within a text object may require special highlighting. Returns the number of virtual attributes found.

virtual int wxRichTextDrawingHandler::GetVirtualSubobjectAttributesCount | ( | wxRichTextObject * | obj | ) | const
| pure virtual

Gets the count for mixed virtual attributes for individual positions within the object.

For example, individual characters within a text object may require special highlighting.

virtual bool wxRichTextDrawingHandler::GetVirtualText | ( | const wxRichTextPlainText * | obj,
|  | wxString & | text
| ) |  | const
| pure virtual

Gets the virtual text for this object.

virtual bool wxRichTextDrawingHandler::HasVirtualAttributes | ( | wxRichTextObject * | obj | ) | const
| pure virtual

Returns true if this object has virtual attributes that we can provide.

virtual bool wxRichTextDrawingHandler::HasVirtualText | ( | const wxRichTextPlainText * | obj | ) | const
| pure virtual

Do we have virtual text for this object? Virtual text allows an application to replace characters in an object for editing and display purposes, for example for highlighting special characters.

void wxRichTextDrawingHandler::SetName | ( | const wxString & | name | ) |
| inline

Sets the name of the handler.

## Member Data Documentation

wxString wxRichTextDrawingHandler::m_name
| protected